Skip to content

Add projects to initiative ​

POST/api/v1/workspaces/{workspace_slug}/initiatives/{initiative_id}/projects/

Add projects to the initiative with the given ID.

Path parameters ​

initiative_id:requiredstring

The unique identifier of the initiative.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

project_ids:optionalarray

IDs of the projects to add to the initiative.

Scopes ​

initiatives.projects:write

Add projects to initiative
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/initiatives/initiative-uuid/projects/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "project_ids": [
    "550e8400-e29b-41d4-a716-446655440000"
  ]
}'
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description",
  "identifier": "PROJ-123",
  "network": 2,
  "project_lead": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z"
}